function check_all_check() {
    if ($('input.inventory_name').length == $('input.inventory_name:checked').length) {
        $('input.check_all').iCheck('check');
    }

}
function check_all_uncheck() {
    $('input.check_all').prop('checked', false);
    $('input.check_all').parent().removeClass('checked').attr('aria-checked', false);
}

$(document).ready(function() {
    check_all_check();
    $('input.check_all').on('ifChecked', function (event) {
        $('.inventory_div').each(function (key, element) {
            $(this).find('input[type="checkbox"]').iCheck('check');
        });
    });
    
    $('input.check_all').on('ifUnchecked', function (event) {
        $('.inventory_div').each(function (key, element) {
            $(this).find('input[type="checkbox"]').iCheck('uncheck');
        });
    });
    
    $('.inventory_name').on('ifChecked', function (event) {
        check_all_check();
    });

    $('.inventory_name').on('ifUnchecked', function (event) {
        check_all_uncheck();
    });
});